历史版本25:Swoole Compiler

  • 保护程序源码,避免 PHP 源代码泄漏,避免被编辑
  • 提升性能,使用Swoole Compiler可以优化opcode,性能比源码执行有较大提高

Zend Guard等传统的PHP加密器不同,Swoole Compiler没有软件界面,它提供了API,可将Swoole Compiler集成到您的打包发布平台中,完全是可编程的。

Swoole Compiler相比其他传统的PHP加密器,安全强度更高。Swoole Compiler使用了特殊定制的ZendVM,与普通的PHP程序运行模式有较大差异。

环境支持

  • PHP版本:5.4、5.5、5.6、7.0、7.1、7.2
  • 操作系统:Linux、Windows、Mac、FreeBSD
  • 限制:
    • 目前仅支持64位系统,Windows下只支持PHP-5.5或更高版本,不支持5.4以下版本(包括5.4
    • 不支持xdebug或者其他HOOKopcode handler的扩展
    • 不支持Debug版本的PHP环境
  • Compiler加密器仅支持Linux平台,Loader加载器可支持全部平台
  • Compiler加密器仅授权过的机器可运行

线程安全

如果使用的PHP为线程安全版本,请下载线程安全版本的Loader。可以通过php -i |grep Threadphpinfo()查看当前PHP是否为线程安全版本。

调试版本

请勿使用Debug版本的PHP,使用 php -i | grep -i debug查看是否有Debug Build => yes

另外,可修改php.inidisplay_startup_errors = on开启扩展加载错误日志。

使用须知

  • 编译和运行环境所使用的Swoole Compiler必须一致,如运行环境是5.6,那么必须使用5.6版本的Swoole Compiler来进行编译,否则无法运行

视频演示

产品价格

有效期 价格
1年 3000
2年 5000
终生 10000

价格含税,可开具增值税普通发票、增值税专用发票

有效期仅限制编译端,客户端不受有效期影响。如您购买了1年授权,那仅在授权有效期内可以对PHP程序进行编译。超过有效期后,不能再对新的程序进行编译,但是已编译好的程序,不受影响,仍然可以使用。

目前Swoole Compiler会限制运行编译器程序的Mac地址。

付款方式

微信支付

  • 添加微信好友,转账付款
  • 微信付款完成后,将您的订单截图发给我们即可
  • 我们会向您以邮件方式发送Swoole Compiler的二进制软件,并提供一对一的工程师技术支持

商业支持

  • 在授权有效期内我们会提供7天 x 8小时 商业支持,为您解决问题